Skip to main content
POST
/
v1
/
orgs
/
{orgId}
/
skill-hubs
/
{skillHubId}
/
access
Grant skill hub access
curl --request POST \
  --url https://api.openworklabs.com/v1/orgs/{orgId}/skill-hubs/{skillHubId}/access \
  --header 'Content-Type: application/json' \
  --data '
{
  "orgMembershipId": "<string>",
  "teamId": "<string>"
}
'
{
  "access": {}
}

Path Parameters

orgId
string<typeid>
required

Den TypeID with 'org_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^org_.*
skillHubId
string<typeid>
required

Den TypeID with 'shb_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^shb_.*

Body

application/json
orgMembershipId
string<typeid>

Den TypeID with 'om_' prefix and a 26-character base32 suffix.

Required string length: 29
Pattern: ^om_.*
teamId
string<typeid>

Den TypeID with 'tem_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^tem_.*

Response

Skill hub access granted successfully.

access
object
required